%define	major	12
%define	libname %mklibname dnssec-tools %{major}
%define	devname	%mklibname dnssec-tools -d

Summary:	A suite of tools for managing dnssec aware DNS usage
Name:		dnssec-tools
Version:	1.12.1
Release:	1
License:	BSD-like
Group:		Networking/Other
URL:		http://www.dnssec-tools.org/
Source0:	http://www.dnssec-tools.org/download/dnssec-tools-%{version}.tar.gz
Source1:	dnssec-tools-dnsval.conf
Patch2:		dnssec-tools-DESTDIR.diff
Patch3:		dnssec-tools-linkage_fix.diff
Patch4:		dnssec-tools-1.12.1-validator-header-install-fix.patch
Requires:	bind
Requires:	perl-Net-DNS
Requires:	perl-%{name} >= %{version}
Requires:	perl(Tk)
Requires:	perl(Tk::Dialog)
Requires:	perl(Tk::Pane)
Requires:	perl(Tk::Table)
BuildRequires:	perl-devel
BuildRequires:	openssl-devel
BuildRequires:	autoconf2.5
BuildRequires:	libtool
BuildRequires:	bind

%description
The goal of the DNSSEC-Tools project is to create a set of tools, patches,
applications, wrappers, extensions, and plugins that will help ease the
deployment of DNSSEC-related technologies.

%package -n	perl-%{name}
Summary:	Perl modules supporting DNSSEC (needed by the dnssec-tools)
Group:		Development/Perl

%description -n	perl-%{name}
The dnssec-tools project comes with a number of perl modules that are required
by the DNSSEC tools themselves as well as modules that are useful for other
developers.

%package -n	%{libname}
Summary:	C-based libraries for dnssec aware tools
Group:		System/Libraries
Requires:	openssl

%description -n	%{libname}
C-based libraries useful for developing dnssec aware tools.

%package -n	%{devname}
Summary:	C-based development libraries for dnssec aware tools
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{mklibname dnssec-tools -d 4}

%description -n	%{devname}
C-based libraries useful for developing dnssec aware tools.

%prep
%setup -q
%patch2 -p0
%patch3 -p0
%patch4 -p1 -b .install~

find -name \*.orig -o -name .gitignore|xargs rm -f

autoreconf -fi
pushd validator
autoreconf -fi
popd

%build
export PATH=$PATH:%{_sbindir}

%configure2_5x \
    --with-validator-testcases-file=%{_datadir}/%{name}/validator-testcases \
    --with-perl-build-args="INSTALLDIRS=vendor" \
    --with-root-hints=%{_localstatedir}/lib/named/var/named/named.ca \
    --with-resolv-conf=%{_sysconfdir}/resolv.conf \
    --with-nsec3 \
    --with-dlv \
    --with-ipv6

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' validator/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' validator/libtool

%make

%install
%makeinstall_std

install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}/var/log/%{name}
install -d %{buildroot}%{_localstatedir}/lib/%{name}/KEY-SAFE

install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/dnsval.conf
install -m0644 tools/etc/%{name}/blinkenlights.conf %{buildroot}%{_sysconfdir}/%{name}/blinkenlights.conf

# not needed and installed in two places
rm -f %{buildroot}%{perl_vendorlib}/TrustMan.pl

# install log rotation stuff
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} << EOF
/var/log/%{name}/rollerd.log {
    rotate 5
    monthly
    missingok
    notifempty
    nocompress
}
EOF

%files
%doc COPYING ChangeLog NEWS README tools/demos tools/linux/ifup-dyn-dns tools/logwatch
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/dnsval.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/blinkenlights.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/blinkenlights
%{_bindir}/bubbles
%{_bindir}/cleanarch
%{_bindir}/cleankrf
%{_bindir}/convertar
%{_bindir}/dnspktflow
%{_bindir}/donuts
%{_bindir}/donutsd
%{_bindir}/drawvalmap
%{_bindir}/dtck
%{_bindir}/dtconf
%{_bindir}/dtconfchk
%{_bindir}/dtdefs
%{_bindir}/dtinitconf
%{_bindir}/expchk
%{_bindir}/fixkrf
%{_bindir}/genkrf
%{_bindir}/getaddr
%{_bindir}/getdnskeys
%{_bindir}/getds
%{_bindir}/gethost
%{_bindir}/getname
%{_bindir}/getquery
%{_bindir}/getrrset
%{_bindir}/keyarch
%{_bindir}/krfcheck
%{_bindir}/libval_check_conf
%{_bindir}/lights
%{_bindir}/lsdnssec
%{_bindir}/lskrf
%{_bindir}/lsroll
%{_bindir}/maketestzone
%{_bindir}/mapper
%{_bindir}/rollchk
%{_bindir}/rollctl
%{_bindir}/rollerd
%{_bindir}/rollinit
%{_bindir}/rolllog
%{_bindir}/rollrec-editor
%{_bindir}/rollset
%{_bindir}/signset-editor
%{_bindir}/tachk
%{_bindir}/timetrans
%{_bindir}/trustman
%{_bindir}/validate
%{_bindir}/zonesigner

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/donuts
%dir %{_datadir}/%{name}/donuts/rules
%{_datadir}/%{name}/donuts/rules/*
%{_datadir}/%{name}/validator-testcases
%dir %{_localstatedir}/lib/%{name}
%dir %{_localstatedir}/lib/%{name}/KEY-SAFE
%dir /var/log/%{name}
%{_mandir}/man1/blinkenlights.1*
%{_mandir}/man1/bubbles.1*
%{_mandir}/man1/cleanarch.1*
%{_mandir}/man1/cleankrf.1*
%{_mandir}/man1/convertar.1*
%{_mandir}/man1/dnspktflow.1*
%{_mandir}/man1/dnssec-tools.1.*
%{_mandir}/man1/donuts.1*
%{_mandir}/man1/donutsd.1*
%{_mandir}/man1/drawvalmap.1*
%{_mandir}/man1/dtck.1.*
%{_mandir}/man1/dtconf.1.*
%{_mandir}/man1/dtconfchk.1*
%{_mandir}/man1/dtdefs.1*
%{_mandir}/man1/dtinitconf.1*
%{_mandir}/man1/expchk.1*
%{_mandir}/man1/fixkrf.1*
%{_mandir}/man1/genkrf.1*
%{_mandir}/man1/getaddr.1*
%{_mandir}/man1/getdnskeys.1*
%{_mandir}/man1/getds.1*
%{_mandir}/man1/gethost.1*
%{_mandir}/man1/getname.1.*
%{_mandir}/man1/getquery.1.*
%{_mandir}/man1/getrrset.1.*
%{_mandir}/man1/keyarch.1*
%{_mandir}/man1/krfcheck.1*
%{_mandir}/man1/libval_check_conf.1.*
%{_mandir}/man1/lights.1*
%{_mandir}/man1/lsdnssec.1*
%{_mandir}/man1/lskrf.1*
%{_mandir}/man1/lsroll.1*
%{_mandir}/man1/maketestzone.1*
%{_mandir}/man1/mapper.1*
%{_mandir}/man1/rollchk.1*
%{_mandir}/man1/rollctl.1*
%{_mandir}/man1/rollerd.1*
%{_mandir}/man1/rollinit.1*
%{_mandir}/man1/rolllog.1*
%{_mandir}/man1/rollrec-editor.1.*
%{_mandir}/man1/rollset.1*
%{_mandir}/man1/signset-editor.1*
%{_mandir}/man1/tachk.1*
%{_mandir}/man1/timetrans.1*
%{_mandir}/man1/trustman.1*
%{_mandir}/man1/validate.1*
%{_mandir}/man1/zonesigner.1*
%{_mandir}/man3/p_ac_status.3*
%{_mandir}/man3/p_val_status.3*

%files -n perl-%{name}
%{perl_vendorarch}/Net/addrinfo*
%{perl_vendorarch}/Net/DNS/SEC/*
%{perl_vendorarch}/auto/Net/DNS/SEC/Validator
%{perl_vendorarch}/auto/Net/addrinfo/
%{perl_vendorarch}/Net/DNS/ZoneFile/
%{perl_vendorlib}/Net/DNS/SEC/Tools/Donuts/
%{perl_vendorlib}/Net/DNS/SEC/Tools/TrustAnchor*
%{_mandir}/man3/Net::addrinfo.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::BootStrap.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::conf.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::defaults.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::dnssectools.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::Donuts::Rule.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::keyrec.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::QWPrimitives.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::rolllog.3pm.*
%{_mandir}/man3/Net::DNS::SEC::Tools::rollmgr.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::rollrec.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::TrustAnchor*.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::timetrans.3pm*
%{_mandir}/man3/Net::DNS::SEC::Tools::tooloptions.3pm*
%{_mandir}/man3/Net::DNS::SEC::Validator.3pm*
%{_mandir}/man3/Net::DNS::ZoneFile::Fast.3pm*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%doc apps/*
%{_bindir}/libval-config
%dir %{_includedir}/validator
%{_includedir}/validator/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}/man3/dnsval.conf.3*
%{_mandir}/man3/dnsval_conf_get.3*
%{_mandir}/man3/dnsval_conf_set.3*
%{_mandir}/man3/libsres.3*
%{_mandir}/man3/libval.3*
%{_mandir}/man3/libval_shim.3.*
%{_mandir}/man3/resolv_conf_get.3*
%{_mandir}/man3/resolv_conf_set.3*
%{_mandir}/man3/root_hints_get.3*
%{_mandir}/man3/root_hints_set.3*
%{_mandir}/man3/val_add_valpolicy.3*
%{_mandir}/man3/val_context_setqflags.3*
%{_mandir}/man3/val_create_context.3*
%{_mandir}/man3/val_does_not_exist.3*
%{_mandir}/man3/val_freeaddrinfo.3*
%{_mandir}/man3/val_free_answer_chain.3.*
%{_mandir}/man3/val_free_context.3*
%{_mandir}/man3/val_free_response.3*
%{_mandir}/man3/val_free_result_chain.3*
%{_mandir}/man3/val_getaddrinfo.3*
%{_mandir}/man3/val_gethostbyaddr.3*
%{_mandir}/man3/val_gethostbyaddr_r.3*
%{_mandir}/man3/val_gethostbyname2.3*
%{_mandir}/man3/val_gethostbyname2_r.3*
%{_mandir}/man3/val_gethostbyname.3*
%{_mandir}/man3/val_gethostbyname_r.3*
%{_mandir}/man3/val_getnameinfo.3*
%{_mandir}/man3/val_get_rrset.3.*
%{_mandir}/man3/val_istrusted.3*
%{_mandir}/man3/val_isvalidated.3*
%{_mandir}/man3/val_resolve_and_check.3*
%{_mandir}/man3/val_res_query.3*
%{_mandir}/man3/val_res_search.3*



%changelog
* Thu Feb 16 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.12.1-1
+ Revision: 775291
- fix install-file-in-docs
- drop no longer necessary chrpath usage for deletion of rpath, perl has now been
  fixed to no longer add rpath to extensions built
- clean dependencies
- do parallel build
- cleanout spec
- fix version-control-internal-file
- get rid of backup files that gets installed
- bump major to 12
- fix installation of validator headers (P4)
- use autoreconf, do it in %%prep rather than %%build
- new version
- add %%{_sbindir} to $PATH in order to pick up dnssec-keygen
- add bind to buildrequries
- mass rebuild of perl extensions against perl 5.14.2

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 1.5-4mdv2011.0
+ Revision: 556350
- rebuild for perl 5.12

* Thu Apr 15 2010 Funda Wang <fwang@mandriva.org> 1.5-3mdv2010.1
+ Revision: 535070
- rebuild

* Sun Oct 04 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5-2mdv2010.0
+ Revision: 453458
- rebuild

* Sat Mar 07 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5-1mdv2009.1
+ Revision: 351685
- 1.5
- fix build with -Werror=format-security

* Sat Sep 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdv2009.0
+ Revision: 286118
- 1.4.1
- rediffed P2
- drop upstream implemented patches
- fix linkage (P3)
- fix devel package naming

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.2-2mdv2008.1
+ Revision: 151398
- rebuild for perl-5.10.0

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2008.0
+ Revision: 30047
- Import dnssec-tools



* Wed May 23 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdv2007.1
- initial Mandriva package
